// LICENSE : MIT
"use strict";

module.exports = {
  filters: {
    "comments": require("textlint-filter-rule-comments")
  },
  rules: {
    "preset-ja-spacing": require("textlint-rule-preset-ja-spacing"),
    "preset-ja-technical-writing": require("textlint-rule-preset-ja-technical-writing"),
    "ja-space-around-link": require("textlint-rule-ja-space-around-link")
  },
  filtersConfig: {
    "comments": true
  },
  rulesConfig: {
    "preset-ja-spacing": {
      "ja-space-around-code": {
        "before": true,
        "after": true
      },
      "ja-space-between-half-and-full-width": {
        "space": "always"
      }
    },
    "preset-ja-technical-writing": {
      "sentence-length": {
        "max": 150
      },
      "no-exclamation-question-mark": false,
      "ja-no-weak-phrase": false,
      "ja-no-successive-word": false,
      "ja-no-mixed-period": false
    },
    "ja-space-around-link": {
      "before": true,
      "after": true
    },
    "prh": {
      "rulePaths": ["./prh.yml"]
    }
  }
};
//# sourceMappingURL=index.js.map